Subject: Re: [Skiboot] [v2, 1/3] powerpc/powernv: convert codes returned by OPAL calls

From: Cedric Le Goater <[email-masked]>
Date: Fri, 27 Mar 2015 11:39:20 +0100

On 03/27/2015 11:36 AM, Benjamin Herrenschmidt wrote:
> On Fri, 2015-03-27 at 20:59 +1100, Michael Ellerman wrote:
>>
>> Can you put it in opal.h and give it a better name, maybe
>> opal_error_code() ?
> 
> Do we want it to be inlined all the time ? Feels more like something we
> should have in opal.c
> 
> Also we only want to call it when we "forward" the error code up the
> food chain, there are a number of cases where we look for specific OPAL
> error codes.

yes. the forward is not systematic. opal.c looks like a better place.

-ERANGE looks also better when the return code is unexpected. 

C.